#include "types.h"

#define SYS_CTL_BASE    0xFC00
#define EXT_CTL_OFF     0x200
#define DELAY           100000
#define MEM_RW_ADDR     0xC000

void delay(ulong_t x) ;

void main (void) {
    while (1) {
        *(uchar_t*)(SYS_CTL_BASE + EXT_CTL_OFF) = *(uchar_t*)(SYS_CTL_BASE + EXT_CTL_OFF) ^ 0x80 ;
        delay ( DELAY ) ;
    }
}

void delay(ulong_t x) {
  unsigned long i;
  for (i = 0; i < x; i++)
      *(uchar_t*)(MEM_RW_ADDR) = *(uchar_t*)(MEM_RW_ADDR) ^ 0x80 ;
}

